Subject: Re: Bidi status/help

From: Nadim Shaikli <[email-masked]>
Date: Wed, 1 May 2002 18:05:34 -0700 (PDT)

On Mon, 29 Apr 2002 11:31:28 +0200,
 "Olivier Chapuis" <olivier chapuis free fr> wrote:
> 
> MenuStyle * Font -misc-fixed-medium-r-normal--20-200-75-75-c-100-iso10646-1
>
> # replace /opt/kde to KDE3 dir
> ImagePath
+:/opt/kde/share/icons/hicolor/16x16/:/opt/kde/share/icons/locolor/16x16/
>
> DestroyMenu kde-sys
> AddToMenu kde-sys DynamicPopupAction PipeRead 'fvwm-menu-desktop --desktop 
>           kde-sys --lang ar --enable-mini-icons --mini-icons-path apps'
> 
> Then, "Menu kde-sys" gives me an Arabic KDE3 menu which seems
> good (however, Arabic characters are separated and not ligatured,
> is this fvwm fault?).
> 
> What's may happen on your system is that bidi conversion is
> not applied because your font name does not say to fvwm that
> the font is an iso10646-1 font.
> 
> Nadim, can you test a "today" snapshot when you have time (really
> not urgent).

Olivier, in short - it works :-)

For completeness, I downloaded 'snap-20020501' and did the following,

 MenuStyle  Black white Blue \
            -misc-fixed-medium-r-normal--20-200-75-75-c-100-iso10646-1 fvwm
 
 Style      * Font -misc-fixed-medium-r-normal--20-200-75-75-c-100-iso10646-1
 Style      * IconFont
-misc-fixed-medium-r-normal--20-200-75-75-c-100-iso10646-1

And both the menu and title worked flawlessly - Great work Olivier/Mikhael.

BTW: don't know if the "\" above works, just added it for readability
     (it would be nice if fvwm groked it correctly, it might - dunno)

Now for the questions :-)

In order to get the various other modules to work (such as FvwmWinList,
FvwmPager, FvwmIdent, etc) - each one of those modules has its own
font specification.  Has any thought been given to having all these
modules default to the "main" font setting style (ie. style * font ...)
when nothing is specified.  If a user wants to define NO font (rather
unlikely), then 'none' or 'nil' ought to suffice.  It just seemed a bit
silly to paste that long font name all over the place (as is noted above).

In passing, I'm assuming FvwmPager (and thus fvwm) is not able to
dynamically size a font.  What I'm getting at is whether there is a
way to get a smaller font setting in order to set the "FvwmPagerSmallFont"
setting.  I'm not sure I'll be able to find a 5x8 iso10646-1 font :-)

Thanks again...

 - Nadim

__________________________________________________
Do You Yahoo!?
Yahoo! Health - your guide to health and wellness
http://health.yahoo.com
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]